import { jsx } from "react/jsx-runtime";
import { TokenRITE as TokenRITE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRITE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "RITE", "data-name": "TokenRITE", ...props, children: /* @__PURE__ */ jsx(TokenRITE$1, { variant }) });
  }
);
TokenRITE.displayName = "TokenRITE";
Object.assign(TokenRITE, { isGdsIcon: true });
export {
  TokenRITE
};
